package de.duehl.swing.ui.start;

/*
 * Copyright 2020 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import de.duehl.basics.datetime.DateAndTime;
import de.duehl.swing.ui.GuiTools;
import de.duehl.swing.ui.dialogs.SimpleDateAndTimeSelectionDialog;

public class SimpleDateAndTimeSelectionDialogTest {

    private final SimpleDateAndTimeSelectionDialog dialog;

    public SimpleDateAndTimeSelectionDialogTest() {
        GuiTools.setNiceLayoutManager();

        dialog = new SimpleDateAndTimeSelectionDialog();
        dialog.initWithSmoothTimeInAbout10Minutes();
        dialog.setVisible(true);
        DateAndTime dateAndTime = dialog.getSelectedDateAndTime();
        System.out.println(dateAndTime);
    }

    public static void main(String[] args) {
        new SimpleDateAndTimeSelectionDialogTest();
    }

}
